﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace parkMonitor.viewModel {
	/// <summary>
	/// 所有部件
	/// </summary>
	class ObjectVM : INotifyPropertyChanged {
		string _Name = "";
		public string Name {
			get { return _Name; }
			set { _Name = value; FirePropertyChanged("Name"); }
		}

		string _ShortInfo = "";
		public string ShortInfo {
			get { return _ShortInfo; }
			set { _ShortInfo = value; FirePropertyChanged("ShortInfo"); }
		}

		public ObservableCollection<ObjectVM> SubCategories;

		public virtual event PropertyChangedEventHandler PropertyChanged;
		public virtual void FirePropertyChanged(string propertyName) {
			PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
		}
	}

	
}
